summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2020-11-30 09:18:53 +0100
committerFabian Groffen <grobian@gentoo.org>2020-11-30 09:18:58 +0100
commit8af544b0b4207334ce24654032ef1ba0c04b4553 (patch)
treee51b562b12c570794ffd24302ac80aede1da1384 /dev-vcs/mercurial
parentdev-util/ccache: add missing required app-arch/zstd dependency (diff)
downloadgentoo-8af544b0b4207334ce24654032ef1ba0c04b4553.tar.gz
gentoo-8af544b0b4207334ce24654032ef1ba0c04b4553.tar.bz2
gentoo-8af544b0b4207334ce24654032ef1ba0c04b4553.zip
dev-vcs/mercurial-5.6: fix compilation on macOS using GCC
Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
Diffstat (limited to 'dev-vcs/mercurial')
-rw-r--r--dev-vcs/mercurial/mercurial-5.6.ebuild1
1 files changed, 1 insertions, 0 deletions
diff --git a/dev-vcs/mercurial/mercurial-5.6.ebuild b/dev-vcs/mercurial/mercurial-5.6.ebuild
index 2ee7d30d061..b8aef9cdbb7 100644
--- a/dev-vcs/mercurial/mercurial-5.6.ebuild
+++ b/dev-vcs/mercurial/mercurial-5.6.ebuild
@@ -149,6 +149,7 @@ python_prepare_all() {
# fix up logic that won't work in Gentoo Prefix (also won't outside in
# certain cases), bug #362891
sed -i -e 's:xcodebuild:nocodebuild:' setup.py || die
+ sed -i -e 's/__APPLE__/__NO_APPLE__/g' mercurial/cext/osutil.c || die
# Use absolute import for zstd
sed -i -e 's/from \.* import zstd/import zstd/' \
mercurial/utils/compression.py \